summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorsparky3387 <[email protected]>2023-12-05 21:15:16 +1000
committerGitHub <[email protected]>2023-12-05 13:15:16 +0200
commit18e4949d1fcf306d782219ac69089eff1a623ba0 (patch)
tree92154434e2cb75b43743d0c6d43b9e08bbb58244
parent070423dab07a50a9b235f731580eb96926b0b0b6 (diff)
Update kvmd-udev-hdmiusb-check (#154)
This is to allow USB 3.0 Capture Cards to be used in the top USB port, this is to allow Macrosilicon's MS2130 to be used with PiKVM, when doing this it must also be switched to pixel format yuyv in the override.yaml
-rwxr-xr-xscripts/kvmd-udev-hdmiusb-check2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/kvmd-udev-hdmiusb-check b/scripts/kvmd-udev-hdmiusb-check
index a30f855c..5a91cb8c 100755
--- a/scripts/kvmd-udev-hdmiusb-check
+++ b/scripts/kvmd-udev-hdmiusb-check
@@ -49,7 +49,7 @@ case "$board" in
"rpi4")
case "$model" in
"Raspberry Pi 4 Model B Rev 1.1" | "Raspberry Pi 4 Model B Rev 1.2" | "Raspberry Pi 4 Model B Rev 1.4" | "Raspberry Pi 4 Model B Rev 1.5")
- if [ "$port" == "1-1.4:1.0" ]; then exit 0; else exit 1; fi;;
+ if [ "$port" == "1-1.4:1.0" ] || [ "$port" == "2-1:1.0" ]; then exit 0; else exit 1; fi;;
*) exit 0;;
esac;;
*) exit 1;;